# Compiled using "xic" by Owen Arden, Catalin Dumitru, Wenzel Jakob, and Danfeng Zhang
# Command line: java -jar xic.jar -libpath ../../../../pa5/pa5/runtime/include/ -libpath ../include/ --target linux mandelbrot.xi

.file "mandelbrot.xi"
.intel_syntax noprefix
.text

.globl _I_Color_init_o5Coloriii
_I_Color_init_o5Coloriii:
	mov rax, rdi
	mov qword ptr [rax+8], rsi
	mov qword ptr [rax+16], rdx
	mov qword ptr [rax+24], rcx
	ret

.globl _I_MdbCalc_calc_p
_I_MdbCalc_calc_p:
	push rbx
	push r14
	push r15
	mov r15, rdi
	mov r14, qword ptr [rip+_I_size_QTimer]
	mov rax, qword ptr [rip+_I_g_plots_aaai]
	mov rcx, qword ptr [rip+_I_g_buffer_i]
	cmp rcx, qword ptr [rax-8]
	jae call_abort
	mov rbx, qword ptr [rax+rcx*8]
	mov rax, qword ptr [rip+_I_g_WINSIZE_i]
	cmp qword ptr [r15+r14+16], rax
	jge .L81
	cmp qword ptr [r15+r14+24], rax
	jge .L83
	mov rdi, qword ptr [r15+r14+32]
	mov rsi, qword ptr [r15+r14+40]
	call _Imandelbrot_iii
	mov rcx, qword ptr [r15+r14+16]
	cmp rcx, qword ptr [rbx-8]
	jae call_abort
	mov rdx, qword ptr [rbx+rcx*8]
	mov rcx, qword ptr [r15+r14+24]
	cmp rcx, qword ptr [rdx-8]
	jae call_abort
	mov qword ptr [rdx+rcx*8], rax
	mov rax, qword ptr [rip+_I_g_zoom_i]
	add qword ptr [r15+r14+40], rax
	inc qword ptr [r15+r14+24]
.L84:
.L85:
	jmp .E5
.L81:
	mov qword ptr [rip+_I_g_done_b], 1
	jmp .L85
.L83:
	mov rax, qword ptr [rip+_I_g_zoom_i]
	add qword ptr [r15+r14+32], rax
	mov rax, qword ptr [rip+_I_g_y__offset_i]
	mov qword ptr [r15+r14+40], rax
	mov qword ptr [r15+r14+24], 0
	inc qword ptr [r15+r14+16]
	jmp .L84
.E5:
	pop r15
	pop r14
	pop rbx
	ret

.globl _I_MdbCalc_init_o7MdbCalco9MdbWidget
_I_MdbCalc_init_o7MdbCalco9MdbWidget:
	push rbx
	mov rbx, rdi
	mov rax, qword ptr [rip+_I_size_QTimer]
	mov qword ptr [rbx+rax+8], rsi
	mov rcx, qword ptr [rip+_I_g_x__offset_i]
	mov qword ptr [rbx+rax+32], rcx
	mov rcx, qword ptr [rip+_I_g_y__offset_i]
	mov qword ptr [rbx+rax+40], rcx
	mov qword ptr [rbx+rax+16], 0
	mov qword ptr [rbx+rax+24], 0
	call _Ireset__histogram_p
	mov rax, rbx
	pop rbx
	ret

.globl _I_MdbCalc_timeout_p
_I_MdbCalc_timeout_p:
	push rbx
	push r12
	push r14
	push r15
	sub rsp, 8
	mov r15, rdi
	mov rbx, qword ptr [rip+_I_size_QTimer]
	mov rax, qword ptr [rip+_I_g_done_b]
	mov rcx, 1
	xor rcx, rax
	test rcx, rcx
	jnz .L67
.L68:
	jmp .E3
.L67:
	mov rcx, 1
	xor rcx, rax
	test rcx, rcx
	jnz .L72
.L71:
	mov rcx, 1
	xor rcx, rax
	test rcx, rcx
	jnz .L68
	mov r14, qword ptr [r15+rbx+8]
	mov rcx, qword ptr [rip+_I_g_WINSIZE_i]
	mov rdx, rcx
	xor rsi, rsi
	xor rdi, rdi
	call _Iqrect_o5QRectiiii
	mov rsi, rax
	mov rdi, r14
	mov rax, qword ptr [r14]
	call qword ptr [rax+216]
	sar qword ptr [rip+_I_g_size_i], 1
	lea rdi, qword ptr [rip+.L77]
	call strdup
	mov rdi, rax
	call _Iprint_pai
	mov rdi, qword ptr [rip+_I_g_size_i]
	call _IunparseInt_aii
	mov rdi, rax
	call _Iprint_pai
	lea rdi, qword ptr [rip+.L50]
	call strdup
	mov rdi, rax
	call _Iprint_pai
	mov rax, qword ptr [rip+_I_g_final__size_i]
	cmp qword ptr [rip+_I_g_size_i], rax
	jg .L79
	mov rcx, qword ptr [r15]
	mov rdi, r15
	call qword ptr [rcx+56]
	jmp .L68
.L72:
	mov rax, qword ptr [r15]
	mov r14, qword ptr [rax+96]
	mov rdi, r15
	call r14
	mov r12, 1999
.L69:
	mov rax, qword ptr [rip+_I_g_done_b]
	test rax, rax
	jnz .L71
	cmp r12, 0
	jle .L71
	mov rdi, r15
	call r14
	dec r12
	jmp .L69
.L79:
	sar qword ptr [rip+_I_g_zoom_i], 1
	mov rax, qword ptr [rip+_I_g_size_i]
	sar rax, 1
	add qword ptr [rip+_I_g_x__offset_i], rax
	mov rax, qword ptr [rip+_I_g_size_i]
	sar rax, 1
	add qword ptr [rip+_I_g_y__offset_i], rax
	mov rcx, qword ptr [rip+_I_g_size_i]
	mov rax, qword ptr [rip+_I_g_x__offset_i]
	add rax, rcx
	mov qword ptr [rip+_I_g_x__final_i], rax
	mov rax, qword ptr [rip+_I_g_size_i]
	mov rcx, qword ptr [rip+_I_g_y__offset_i]
	add rcx, rax
	mov qword ptr [rip+_I_g_y__final_i], rcx
	mov rax, qword ptr [rip+_I_g_x__offset_i]
	mov qword ptr [r15+rbx+32], rax
	mov rax, qword ptr [rip+_I_g_y__offset_i]
	mov qword ptr [r15+rbx+40], rax
	mov qword ptr [r15+rbx+16], 0
	mov qword ptr [r15+rbx+24], 0
	call _Iupdate__maxiter_p
	call _Ireset__histogram_p
	mov qword ptr [rip+_I_g_done_b], 0
	mov rax, 1
	sub rax, qword ptr [rip+_I_g_buffer_i]
	mov qword ptr [rip+_I_g_buffer_i], rax
	jmp .L68
.E3:
	add rsp, 8
	pop r15
	pop r14
	pop r12
	pop rbx
	ret

.globl _I_MdbWidget_init_o9MdbWidget
_I_MdbWidget_init_o9MdbWidget:
	push rbx
	push r14
	sub rsp, 8
	mov r14, rdi
	lea rdi, qword ptr [rip+.L89]
	call strdup
	mov rdi, rax
	call _Iqs_o7QStringai
	mov rbx, qword ptr [r14]
	mov rsi, rax
	mov rdi, r14
	call qword ptr [rbx+120]
	mov rdi, qword ptr [rip+_I_g_WINSIZE_i]
	mov rsi, rdi
	call _Iqsize_o5QSizeii
	mov rsi, rax
	mov rdi, r14
	call qword ptr [rbx+264]
	mov rax, r14
	add rsp, 8
	pop r14
	pop rbx
	ret

.globl _I_MdbWidget_mouseDoubleClickEvent_po11QMouseEvent
_I_MdbWidget_mouseDoubleClickEvent_po11QMouseEvent:
	ret

.globl _I_MdbWidget_paintEvent_po11QPaintEvent
_I_MdbWidget_paintEvent_po11QPaintEvent:
	push rbx
	push rbp
	push r12
	push r13
	push r14
	push r15
	sub rsp, 296
	mov rbx, rdi
	mov rdi, rsi
	mov rax, qword ptr [rsi]
	call qword ptr [rax+16]
	mov rdi, rbx
	call _Iqpainter_o8QPaintero12QPaintDevice
	mov qword ptr [rsp+72], rax
	mov rax, qword ptr [rsp+72]
	mov qword ptr [rsp+72], rax
	mov rcx, qword ptr [rip+_I_g_done_b]
	mov rax, 1
	xor rax, rcx
	test rax, rax
	jnz .L92
	mov rcx, qword ptr [rip+_I_g_buffer_i]
.L93:
	mov rax, qword ptr [rip+_I_g_plots_aaai]
	cmp rcx, qword ptr [rax-8]
	jae call_abort
	mov r12, qword ptr [rax+rcx*8]
	mov rcx, qword ptr [rip+_I_g_WINSIZE_i]
	mov qword ptr [rsp+104], rcx
	xor rbx, rbx
.L94:
	cmp rbx, qword ptr [rsp+104]
	jge .L96
	mov qword ptr [rsp], 0
	cmp qword ptr [rsp+104], 0
	jle .L99
	mov rax, qword ptr [r12-8]
	mov qword ptr [rsp+272], rax
	xor r13, r13
	cmp rbx, qword ptr [rsp+272]
	setb r13b
	mov qword ptr [rsp+240], 1
	mov rcx, qword ptr [rsp+240]
	xor qword ptr [rsp+240], r13
	mov rax, qword ptr [rsp+240]
	test qword ptr [rsp+240], rax
	jnz call_abort
	mov rdx, qword ptr [r12+rbx*8]
	mov qword ptr [rsp+184], rdx
	mov rcx, qword ptr [rsp+184]
	mov rax, qword ptr [rsp]
	cmp rax, qword ptr [rcx-8]
	jae call_abort
	mov rax, qword ptr [rsp+184]
	mov rcx, qword ptr [rsp]
	mov rax, qword ptr [rax+rcx*8]
	mov qword ptr [rsp+128], rax
	mov rdi, qword ptr [rsp+128]
	call _Iassign__color_o5Colori
	mov qword ptr [rsp+40], rax
	mov rax, qword ptr [rsp+40]
	mov qword ptr [rsp+40], rax
	mov rdx, qword ptr [rsp+40]
	mov rax, qword ptr [rdx+8]
	mov qword ptr [rsp+80], rax
	mov rcx, qword ptr [rsp+40]
	mov rax, qword ptr [rcx+16]
	mov qword ptr [rsp+96], rax
	mov rax, qword ptr [rsp+40]
	mov rax, qword ptr [rax+24]
	mov qword ptr [rsp+224], rax
	mov rdx, qword ptr [rsp+224]
	mov rsi, qword ptr [rsp+96]
	mov rdi, qword ptr [rsp+80]
	call _Iqcolor_o6QColoriii
	mov qword ptr [rsp+256], rax
	mov rax, qword ptr [rsp+256]
	mov qword ptr [rsp+256], rax
	mov rdi, qword ptr [rsp+256]
	call _Iqpen_o4QPeno6QColor
	mov qword ptr [rsp+264], rax
	mov rax, qword ptr [rsp+264]
	mov qword ptr [rsp+264], rax
	mov rcx, qword ptr [rsp+72]
	mov rcx, qword ptr [rcx]
	mov qword ptr [rsp+192], rcx
	mov rax, qword ptr [rsp+192]
	mov r14, qword ptr [rax+112]
	mov rsi, qword ptr [rsp+264]
	mov rdi, qword ptr [rsp+72]
	call r14
	mov rcx, qword ptr [rsp+40]
	mov rdi, qword ptr [rcx+8]
	mov rax, qword ptr [rsp+40]
	mov rax, qword ptr [rax+16]
	mov qword ptr [rsp+56], rax
	mov rcx, qword ptr [rsp+40]
	mov rax, qword ptr [rcx+24]
	mov qword ptr [rsp+248], rax
	mov rdx, qword ptr [rsp+248]
	mov rsi, qword ptr [rsp+56]
	call _Iqcolor_o6QColoriii
	mov qword ptr [rsp+216], rax
	mov rax, qword ptr [rsp+216]
	mov qword ptr [rsp+216], rax
	mov rdi, qword ptr [rsp+216]
	call _Iqbrush_o6QBrusho6QColor
	mov qword ptr [rsp+208], rax
	mov rax, qword ptr [rsp+208]
	mov qword ptr [rsp+208], rax
	mov rax, qword ptr [rsp+72]
	mov rax, qword ptr [rax]
	mov qword ptr [rsp+232], rax
	mov rcx, qword ptr [rsp+232]
	add qword ptr [rsp+232], 128
	mov rax, qword ptr [rsp+232]
	mov qword ptr [rsp+232], rax
	mov rcx, qword ptr [rsp+232]
	mov rax, qword ptr [rcx]
	mov qword ptr [rsp+48], rax
	mov rsi, qword ptr [rsp+208]
	mov rdi, qword ptr [rsp+72]
	call qword ptr [rsp+48]
	mov rcx, 2
	mov rdx, 2
	mov rsi, qword ptr [rsp]
	mov rdi, rbx
	call _Iqrect_o5QRectiiii
	mov rbp, rax
	mov rcx, qword ptr [rsp+72]
	mov rcx, qword ptr [rcx]
	mov qword ptr [rsp+200], rcx
	mov rax, qword ptr [rsp+200]
	add qword ptr [rsp+200], 120
	mov rcx, qword ptr [rsp+200]
	mov qword ptr [rsp+200], rcx
	mov rax, qword ptr [rsp+200]
	mov r15, qword ptr [rax]
	mov rdi, qword ptr [rsp+72]
	call r15
	mov qword ptr [rsp+112], rax
	mov rax, qword ptr [rsp+112]
	mov qword ptr [rsp+112], rax
	mov rax, qword ptr [rsp+72]
	mov rcx, qword ptr [rax]
	mov qword ptr [rsp+176], rcx
	mov rax, qword ptr [rsp+176]
	add qword ptr [rsp+176], 200
	mov rcx, qword ptr [rsp+176]
	mov qword ptr [rsp+176], rcx
	mov rax, qword ptr [rsp+176]
	mov rax, qword ptr [rax]
	mov qword ptr [rsp+8], rax
	mov rdx, qword ptr [rsp+112]
	mov rsi, rbp
	mov rdi, qword ptr [rsp+72]
	call qword ptr [rsp+8]
	inc qword ptr [rsp]
.L97:
	mov rax, qword ptr [rip+_I_g_WINSIZE_i]
	mov qword ptr [rsp+104], rax
	mov rdx, qword ptr [rsp]
	cmp rdx, qword ptr [rsp+104]
	jge .L99
	mov qword ptr [rsp+144], 1
	mov rax, qword ptr [rsp+144]
	xor qword ptr [rsp+144], r13
	mov rcx, qword ptr [rsp+144]
	test qword ptr [rsp+144], rcx
	jnz call_abort
	mov rdx, qword ptr [r12+rbx*8]
	mov qword ptr [rsp+24], rdx
	mov rax, qword ptr [rsp+24]
	mov rcx, qword ptr [rsp]
	cmp rcx, qword ptr [rax-8]
	jae call_abort
	mov rcx, qword ptr [rsp+24]
	mov rax, qword ptr [rsp]
	mov rax, qword ptr [rcx+rax*8]
	mov qword ptr [rsp+152], rax
	mov rdi, qword ptr [rsp+152]
	call _Iassign__color_o5Colori
	mov rbp, rax
	mov rdi, qword ptr [rbp+8]
	mov rax, qword ptr [rbp+16]
	mov qword ptr [rsp+64], rax
	mov rax, qword ptr [rbp+24]
	mov qword ptr [rsp+168], rax
	mov rdx, qword ptr [rsp+168]
	mov rsi, qword ptr [rsp+64]
	call _Iqcolor_o6QColoriii
	mov qword ptr [rsp+120], rax
	mov rax, qword ptr [rsp+120]
	mov qword ptr [rsp+120], rax
	mov rdi, qword ptr [rsp+120]
	call _Iqpen_o4QPeno6QColor
	mov qword ptr [rsp+160], rax
	mov rax, qword ptr [rsp+160]
	mov qword ptr [rsp+160], rax
	mov rsi, qword ptr [rsp+160]
	mov rdi, qword ptr [rsp+72]
	call r14
	mov rax, qword ptr [rbp+8]
	mov qword ptr [rsp+16], rax
	mov rax, qword ptr [rbp+16]
	mov qword ptr [rsp+32], rax
	mov rax, qword ptr [rbp+24]
	mov qword ptr [rsp+280], rax
	mov rdx, qword ptr [rsp+280]
	mov rsi, qword ptr [rsp+32]
	mov rdi, qword ptr [rsp+16]
	call _Iqcolor_o6QColoriii
	mov qword ptr [rsp+136], rax
	mov rax, qword ptr [rsp+136]
	mov qword ptr [rsp+136], rax
	mov rdi, qword ptr [rsp+136]
	call _Iqbrush_o6QBrusho6QColor
	mov qword ptr [rsp+288], rax
	mov rax, qword ptr [rsp+288]
	mov qword ptr [rsp+288], rax
	mov rsi, qword ptr [rsp+288]
	mov rdi, qword ptr [rsp+72]
	call qword ptr [rsp+48]
	mov rcx, 2
	mov rdx, 2
	mov rsi, qword ptr [rsp]
	mov rdi, rbx
	call _Iqrect_o5QRectiiii
	mov rbp, rax
	mov rdi, qword ptr [rsp+72]
	call r15
	mov qword ptr [rsp+88], rax
	mov rax, qword ptr [rsp+88]
	mov qword ptr [rsp+88], rax
	mov rdx, qword ptr [rsp+88]
	mov rsi, rbp
	mov rdi, qword ptr [rsp+72]
	call qword ptr [rsp+8]
	inc qword ptr [rsp]
	jmp .L97
.L92:
	mov rcx, 1
	sub rcx, qword ptr [rip+_I_g_buffer_i]
	jmp .L93
.L96:
	mov rcx, qword ptr [rsp+72]
	mov rax, qword ptr [rcx]
	mov rdi, qword ptr [rsp+72]
	call qword ptr [rax+16]
	jmp .E9
.L99:
	inc rbx
	jmp .L94
.E9:
	add rsp, 296
	pop r15
	pop r14
	pop r13
	pop r12
	pop rbp
	pop rbx
	ret

.globl _I_init_Color
_I_init_Color:
	ret

.globl _I_init_MdbCalc
_I_init_MdbCalc:
	sub rsp, 8
	cmp qword ptr [rip+_I_size_MdbCalc], 0
	jne .L86
	call _I_init_QTimer
	mov rax, qword ptr [rip+_I_size_QTimer]
	add rax, 40
	mov qword ptr [rip+_I_size_MdbCalc], rax
	xor rcx, rcx
.L87:
	cmp rcx, 10
	jge .L88
	lea rax, qword ptr [rip+_I_vt_QTimer]
	mov rdx, qword ptr [rax+rcx*8]
	lea rax, qword ptr [rip+_I_vt_MdbCalc]
	mov qword ptr [rax+rcx*8], rdx
	inc rcx
	jmp .L87
.L88:
	lea rax, qword ptr [rip+_I_MdbCalc_timeout_p]
	mov qword ptr [rip+_I_vt_MdbCalc+64], rax
	mov qword ptr [rip+_I_vt_MdbCalc+80], 0
	lea rax, qword ptr [rip+_I_MdbCalc_init_o7MdbCalco9MdbWidget]
	mov qword ptr [rip+_I_vt_MdbCalc+88], rax
	lea rax, qword ptr [rip+_I_MdbCalc_calc_p]
	mov qword ptr [rip+_I_vt_MdbCalc+96], rax
.L86:
	add rsp, 8
	ret

.globl _I_init_MdbWidget
_I_init_MdbWidget:
	sub rsp, 8
	cmp qword ptr [rip+_I_size_MdbWidget], 0
	jne .L101
	call _I_init_QWidget
	mov rax, qword ptr [rip+_I_size_QWidget]
	mov qword ptr [rip+_I_size_MdbWidget], rax
	xor rcx, rcx
.L102:
	cmp rcx, 78
	jge .L103
	lea rax, qword ptr [rip+_I_vt_QWidget]
	mov rdx, qword ptr [rax+rcx*8]
	lea rax, qword ptr [rip+_I_vt_MdbWidget]
	mov qword ptr [rax+rcx*8], rdx
	inc rcx
	jmp .L102
.L103:
	lea rax, qword ptr [rip+_I_MdbWidget_paintEvent_po11QPaintEvent]
	mov qword ptr [rip+_I_vt_MdbWidget+496], rax
	lea rax, qword ptr [rip+_I_MdbWidget_mouseDoubleClickEvent_po11QMouseEvent]
	mov qword ptr [rip+_I_vt_MdbWidget+520], rax
	mov qword ptr [rip+_I_vt_MdbWidget+624], 0
	lea rax, qword ptr [rip+_I_MdbWidget_init_o9MdbWidget]
	mov qword ptr [rip+_I_vt_MdbWidget+632], rax
.L101:
	add rsp, 8
	ret

.globl _I_init_colors_ao5Color
_I_init_colors_ao5Color:
	push rbx
	mov rbx, qword ptr [rip+_I_g_HISTLEN_i]
	lea rdi, qword ptr [rbx*8+8]
	call _xi_alloc
	add rax, 8
	mov qword ptr [rax-8], rbx
	mov qword ptr [rip+_I_g_colors_ao5Color], rax
	pop rbx
	ret

.globl _I_init_histogram_ai
_I_init_histogram_ai:
	push rbx
	mov rbx, qword ptr [rip+_I_g_HISTLEN_i]
	lea rdi, qword ptr [rbx*8+8]
	call _xi_alloc
	add rax, 8
	mov qword ptr [rax-8], rbx
	mov qword ptr [rip+_I_g_histogram_ai], rax
	pop rbx
	ret

.globl _I_init_plots_aaai
_I_init_plots_aaai:
	sub rsp, 8
	mov rdi, 24
	call _xi_alloc
	add rax, 8
	mov qword ptr [rax-8], 2
	mov qword ptr [rip+_I_g_plots_aaai], rax
	add rsp, 8
	ret

.globl _Iassign__color_o5Colori
_Iassign__color_o5Colori:
	push rbx
	push r12
	push r13
	push r14
	push r15
	mov rbx, rdi
	mov rax, qword ptr [rip+_I_g_colors_ao5Color]
	cmp rbx, qword ptr [rax-8]
	jae call_abort
	mov rax, qword ptr [rax+rbx*8]
	cmp rax, 0
	je .L115
.L116:
	jmp .E6
.L115:
	mov rax, qword ptr [rip+_I_g_maxiter_i]
	cmp rbx, rax
	jne .L118
	mov rdi, qword ptr [rip+_I_size_Color]
	call _xi_alloc
	lea rcx, qword ptr [rip+_I_vt_Color]
	mov qword ptr [rax], rcx
	mov rcx, qword ptr [rip+_I_g_colors_ao5Color]
	mov rdx, qword ptr [rip+_I_g_maxiter_i]
	cmp rdx, qword ptr [rcx-8]
	jae call_abort
	mov qword ptr [rcx+rdx*8], rax
	jmp .L116
.L118:
	mov rcx, qword ptr [rip+_I_g_RAMPS_i]
	mov r14, rbx
	mov rax, r14
	mov rdx, rax
	sar rdx, 63
	idiv qword ptr [rip+_I_g_RAMPSIZE_i]
	mov r14, rax
	mov rsi, qword ptr [rip+_I_g_RAMPSIZE_i]
	mov rdi, r14
	mov rax, rdi
	mov rdx, rax
	sar rdx, 63
	idiv rcx
	mov rdi, rdx
	mov r12, rbx
	mov rax, r12
	mov rdx, rax
	sar rdx, 63
	idiv rsi
	mov r12, rdx
	mov rax, r14
	mov rdx, rax
	sar rdx, 63
	idiv rcx
	mov r14, rax
	mov rax, r14
	mov rdx, rax
	sar rdx, 63
	idiv rcx
	mov r14, rdx
	call _Ibase__color_o5Colori
	mov r15, rax
	cmp r14, 0
	jne .L120
	mov r14, qword ptr [rip+_I_size_Color]
	mov rdi, r14
	call _xi_alloc
	lea rcx, qword ptr [rip+_I_vt_Color]
	mov qword ptr [rax], rcx
	mov r8, rax
.L121:
	sar qword ptr [r8+8], 1
	sar qword ptr [r8+16], 1
	sar qword ptr [r8+24], 1
	mov rsi, qword ptr [rip+_I_g_RAMPSIZE_i]
	sub rsi, 1
	mov rdi, qword ptr [r8+8]
	mov rax, qword ptr [r15+8]
	sub rax, rdi
	imul rax, r12
	mov rdx, rax
	sar rdx, 63
	idiv rsi
	add rdi, rax
	mov rcx, qword ptr [r8+16]
	mov rax, qword ptr [r15+16]
	sub rax, rcx
	imul rax, r12
	mov rdx, rax
	sar rdx, 63
	idiv rsi
	add rcx, rax
	mov r8, qword ptr [r8+24]
	mov rax, qword ptr [r15+24]
	sub rax, r8
	imul rax, r12
	mov rdx, rax
	sar rdx, 63
	idiv rsi
	add r8, rax
	mov rsi, r8
	mov rdx, 255
	sub rdx, rdi
	mov rax, rdx
	imul rax, rdx
	mov rdi, 255
	mov rdx, rax
	sar rdx, 63
	idiv rdi
	mov r12, 255
	sub r12, rax
	mov rdx, 255
	sub rdx, rcx
	mov rax, rdx
	imul rax, rdx
	mov rcx, 255
	mov rdx, rax
	sar rdx, 63
	idiv rcx
	mov r15, 255
	sub r15, rax
	mov rcx, 255
	sub rcx, rsi
	mov rax, rcx
	imul rax, rcx
	mov rcx, 255
	mov rdx, rax
	sar rdx, 63
	idiv rcx
	mov r13, 255
	sub r13, rax
	mov rdi, r14
	call _xi_alloc
	lea rcx, qword ptr [rip+_I_vt_Color]
	mov qword ptr [rax], rcx
	mov rcx, r13
	mov rdx, r15
	mov rsi, r12
	mov rdi, rax
	mov rax, qword ptr [rax]
	call qword ptr [rax+8]
	mov rcx, qword ptr [rip+_I_g_colors_ao5Color]
	cmp rbx, qword ptr [rcx-8]
	jae call_abort
	mov qword ptr [rcx+rbx*8], rax
	mov rax, qword ptr [rip+_I_g_colors_ao5Color]
	cmp rbx, qword ptr [rax-8]
	jae call_abort
	cmp rbx, qword ptr [rax-8]
	jae call_abort
	mov rax, qword ptr [rax+rbx*8]
	jmp .L116
.L120:
	mov rdi, r14
	call _Ibase__color_o5Colori
	mov r14, qword ptr [rip+_I_size_Color]
	mov r8, rax
	jmp .L121
.E6:
	pop r15
	pop r14
	pop r13
	pop r12
	pop rbx
	ret

.globl _Ibase__color_o5Colori
_Ibase__color_o5Colori:
	push rbx
	push r12
	push r13
	push r14
	push r15
	mov r14, rdi
	mov r12, qword ptr [rip+_I_size_Color]
	mov rdi, r12
	call _xi_alloc
	mov r15, rax
	lea rax, qword ptr [rip+_I_vt_Color]
	mov qword ptr [r15], rax
	lea rdi, qword ptr [r14+6]
	call _Iwheel_ii
	mov rbx, rax
	lea rdi, qword ptr [r14+10]
	call _Iwheel_ii
	mov r13, rax
	lea rdi, qword ptr [r14+2]
	call _Iwheel_ii
	mov rcx, rax
	mov rdx, r13
	mov rsi, rbx
	mov rdi, r15
	mov rax, qword ptr [r15]
	call qword ptr [rax+8]
	mov rdi, r12
	call _xi_alloc
	mov rbx, rax
	lea rax, qword ptr [rip+_I_vt_Color]
	mov qword ptr [rbx], rax
	lea rdi, qword ptr [r14+6]
	call _Iwheel_ii
	mov r15, rax
	lea rdi, qword ptr [r14+10]
	call _Iwheel_ii
	mov r12, rax
	add r14, 2
	mov rdi, r14
	call _Iwheel_ii
	mov rcx, rax
	mov rdx, r12
	mov rsi, r15
	mov rdi, rbx
	mov rax, qword ptr [rbx]
	call qword ptr [rax+8]
	pop r15
	pop r14
	pop r13
	pop r12
	pop rbx
	ret

.globl _Imain_paai
_Imain_paai:
	push rbx
	push r14
	push r15
	mov rbx, rdi
	call _IsetupGlobals_p
	mov rdi, rbx
	call _Iqapplication_t2o12QApplicationaaiaai
	mov rbx, rax
	xor rax, rax
	mov rcx, qword ptr [rdx-8]
	cmp rcx, 2
	jl .L19
	cmp rcx, 1
	jbe call_abort
	mov rdi, qword ptr [rdx+8]
	call _IparseInt_t2ibai
.L19:
	cmp rax, 8
	jne .L21
	mov qword ptr [rip+_I_g_x__offset_i], -2670932
	mov qword ptr [rip+_I_g_y__offset_i], 17309052
	mov qword ptr [rip+_I_g_final__size_i], 200000
.L22:
	mov rax, qword ptr [rip+_I_g_size_i]
	sar rax, 1
	sub qword ptr [rip+_I_g_x__offset_i], rax
	mov rax, qword ptr [rip+_I_g_size_i]
	sar rax, 1
	sub qword ptr [rip+_I_g_y__offset_i], rax
	mov rax, qword ptr [rip+_I_g_size_i]
	mov rcx, qword ptr [rip+_I_g_x__offset_i]
	add rcx, rax
	mov qword ptr [rip+_I_g_x__final_i], rcx
	mov rax, qword ptr [rip+_I_g_size_i]
	mov rcx, qword ptr [rip+_I_g_y__offset_i]
	add rcx, rax
	mov qword ptr [rip+_I_g_y__final_i], rcx
	mov rdi, qword ptr [rip+_I_size_MdbWidget]
	call _xi_alloc
	lea rcx, qword ptr [rip+_I_vt_MdbWidget]
	mov qword ptr [rax], rcx
	mov rdi, rax
	mov rax, qword ptr [rax]
	call qword ptr [rax+632]
	mov r14, rax
	mov rdi, r14
	mov rax, qword ptr [r14]
	call qword ptr [rax+32]
	mov rdi, qword ptr [rip+_I_size_MdbCalc]
	call _xi_alloc
	lea rcx, qword ptr [rip+_I_vt_MdbCalc]
	mov qword ptr [rax], rcx
	mov rsi, r14
	mov rdi, rax
	mov rax, qword ptr [rax]
	call qword ptr [rax+88]
	mov r14, rax
	mov r15, qword ptr [r14]
	xor rsi, rsi
	mov rdi, r14
	call qword ptr [r15+40]
	mov rsi, 5
	mov rdi, r14
	call qword ptr [r15+32]
	mov rdi, r14
	call qword ptr [r15+48]
	mov rdi, rbx
	mov rax, qword ptr [rbx]
	call qword ptr [rax+8]
	jmp .E4
.L35:
	mov qword ptr [rip+_I_g_x__offset_i], -1476396
	mov qword ptr [rip+_I_g_y__offset_i], 10978300
	mov qword ptr [rip+_I_g_final__size_i], 20000
.L37:
.L34:
.L31:
.L28:
.L25:
	jmp .L22
.L36:
	cmp rax, 7
	jne .L39
	mov qword ptr [rip+_I_g_x__offset_i], -11884460
	mov qword ptr [rip+_I_g_y__offset_i], 5703649
	mov rax, qword ptr [rip+_I_g_WINSIZE_i]
	lea rax, qword ptr [rax*2]
	mov qword ptr [rip+_I_g_final__size_i], rax
.L40:
	jmp .L37
.L39:
	mov qword ptr [rip+_I_g_x__offset_i], 0
	mov qword ptr [rip+_I_g_y__offset_i], 0
	mov rax, qword ptr [rip+_I_g_size_i]
	mov qword ptr [rip+_I_g_final__size_i], rax
	jmp .L40
.L21:
	cmp rax, 1
	jne .L24
	mov qword ptr [rip+_I_g_x__offset_i], -12560912
	mov qword ptr [rip+_I_g_y__offset_i], 1677722
	mov qword ptr [rip+_I_g_final__size_i], 20000
	jmp .L25
.L24:
	cmp rax, 2
	jne .L27
	mov qword ptr [rip+_I_g_x__offset_i], 4563275
	mov qword ptr [rip+_I_g_y__offset_i], 8073700
	mov rax, qword ptr [rip+_I_g_WINSIZE_i]
	lea rax, qword ptr [rax*2]
	mov qword ptr [rip+_I_g_final__size_i], rax
	jmp .L28
.L27:
	cmp rax, 3
	jne .L30
	mov qword ptr [rip+_I_g_x__offset_i], -22960316
	mov qword ptr [rip+_I_g_y__offset_i], 83888
	mov qword ptr [rip+_I_g_final__size_i], 10000
	jmp .L31
.L30:
	cmp rax, 4
	jne .L33
	mov qword ptr [rip+_I_g_x__offset_i], -29490000
	mov qword ptr [rip+_I_g_y__offset_i], 0
	mov qword ptr [rip+_I_g_final__size_i], 400000
	jmp .L34
.L33:
	cmp rax, 5
	je .L35
	jmp .L36
.E4:
	pop r15
	pop r14
	pop rbx
	ret

.globl _Imandelbrot_iii
_Imandelbrot_iii:
	push rbx
	push rbp
	push r12
	push r13
	push r14
	push r15
	sub rsp, 88
	mov r12, rsi
	xor rsi, rsi
	mov r15, qword ptr [rip+_I_g_SCALEROOT_i]
	sal r15, 2
	imul r15, qword ptr [rip+_I_g_SCALEROOT_i]
	mov rbp, qword ptr [rip+_I_g_SCALEROOT_i]
	cmp r15, 0
	jle .L124
	mov rcx, qword ptr [rip+_I_g_maxiter_i]
	cmp rcx, 0
	jle .L124
	xor rsi, rsi
	mov rax, rsi
	mov rdx, rax
	sar rdx, 63
	idiv qword ptr [rip+_I_g_SCALEROOT_i]
	mov rsi, rax
	xor r9, r9
	mov rax, r9
	mov rdx, rax
	sar rdx, 63
	idiv qword ptr [rip+_I_g_SCALEROOT_i]
	mov r9, rdx
	mov rbx, rsi
	imul rbx, rsi
	mov qword ptr [rsp+80], rsi
	mov rdx, qword ptr [rsp+80]
	imul rdx, r9
	mov qword ptr [rsp+80], rdx
	mov rax, qword ptr [rsp+80]
	lea rax, qword ptr [rax*2]
	mov qword ptr [rsp+16], rax
	mov rdx, qword ptr [rsp+16]
	mov qword ptr [rsp+16], rdx
	mov rax, qword ptr [rsp+16]
	mov rax, qword ptr [rsp+16]
	mov rdx, rax
	sar rdx, 63
	idiv rbp
	mov qword ptr [rsp+16], rax
	add rbx, qword ptr [rsp+16]
	mov r8, rsi
	imul r8, rsi
	mov rax, rsi
	imul rax, r9
	lea rdx, qword ptr [rax*2]
	mov qword ptr [rsp+56], rdx
	mov rax, qword ptr [rsp+56]
	mov qword ptr [rsp+56], rax
	mov rax, qword ptr [rsp+56]
	mov rax, qword ptr [rsp+56]
	mov rdx, rax
	sar rdx, 63
	idiv rbp
	mov qword ptr [rsp+56], rax
	add r8, qword ptr [rsp+56]
	mov r11, r8
	lea rax, qword ptr [rdi+rbx]
	sub rax, r11
	mov r13, rax
	lea rax, qword ptr [rsi*2]
	imul rax, rsi
	lea r8, qword ptr [r12+rax]
	mov rax, rsi
	imul rax, r9
	lea rax, qword ptr [rax*2]
	mov rdx, rax
	sar rdx, 63
	idiv rbp
	add r8, rax
	imul rsi, r9
	lea rax, qword ptr [rsi*2]
	mov rdx, rax
	sar rdx, 63
	idiv rbp
	add r8, rax
	mov r10, r8
	mov rsi, 1
.L122:
	add rbx, r11
	cmp rbx, r15
	jge .L124
	cmp rsi, rcx
	jge .L124
	mov r14, r13
	mov rax, r14
	mov rdx, rax
	sar rdx, 63
	idiv rbp
	mov r14, rax
	mov rax, r13
	mov rdx, rax
	sar rdx, 63
	idiv rbp
	mov r13, rdx
	mov qword ptr [rsp], r13
	mov r9, r10
	mov rax, r9
	mov rdx, rax
	sar rdx, 63
	idiv rbp
	mov r9, rax
	mov rax, r10
	mov rdx, rax
	sar rdx, 63
	idiv rbp
	mov r10, rdx
	mov qword ptr [rsp+32], r14
	mov rdx, qword ptr [rsp+32]
	imul rdx, r14
	mov qword ptr [rsp+32], rdx
	mov qword ptr [rsp+72], r14
	mov rdx, qword ptr [rsp+72]
	imul rdx, qword ptr [rsp]
	mov qword ptr [rsp+72], rdx
	mov rax, qword ptr [rsp+72]
	lea rdx, qword ptr [rax*2]
	mov qword ptr [rsp+8], rdx
	mov rax, qword ptr [rsp+8]
	mov qword ptr [rsp+8], rax
	mov rdx, qword ptr [rsp+8]
	mov rax, qword ptr [rsp+8]
	mov rdx, rax
	sar rdx, 63
	idiv rbp
	mov qword ptr [rsp+8], rax
	mov rax, qword ptr [rsp+32]
	mov qword ptr [rsp+32], rax
	mov rax, qword ptr [rsp+32]
	mov rax, qword ptr [rsp+8]
	add qword ptr [rsp+32], rax
	mov rbx, qword ptr [rsp+32]
	mov r8, r9
	imul r8, r9
	mov qword ptr [rsp+64], r9
	mov rdx, qword ptr [rsp+64]
	imul rdx, r10
	mov qword ptr [rsp+64], rdx
	mov rax, qword ptr [rsp+64]
	lea rdx, qword ptr [rax*2]
	mov qword ptr [rsp+48], rdx
	mov rax, qword ptr [rsp+48]
	mov qword ptr [rsp+48], rax
	mov rax, qword ptr [rsp+48]
	mov rax, qword ptr [rsp+48]
	mov rdx, rax
	sar rdx, 63
	idiv rbp
	mov qword ptr [rsp+48], rax
	add r8, qword ptr [rsp+48]
	mov r11, r8
	lea rax, qword ptr [rdi+rbx]
	sub rax, r11
	mov r13, rax
	lea rax, qword ptr [r14*2]
	imul rax, r9
	lea r8, qword ptr [r12+rax]
	imul r14, r10
	lea rdx, qword ptr [r14*2]
	mov qword ptr [rsp+24], rdx
	mov rax, qword ptr [rsp+24]
	mov qword ptr [rsp+24], rax
	mov rax, qword ptr [rsp+24]
	mov rax, qword ptr [rsp+24]
	mov rdx, rax
	sar rdx, 63
	idiv rbp
	mov qword ptr [rsp+24], rax
	add r8, qword ptr [rsp+24]
	imul r9, qword ptr [rsp]
	lea rax, qword ptr [r9*2]
	mov qword ptr [rsp+40], rax
	mov rdx, qword ptr [rsp+40]
	mov qword ptr [rsp+40], rdx
	mov rdx, qword ptr [rsp+40]
	mov rax, qword ptr [rsp+40]
	mov rdx, rax
	sar rdx, 63
	idiv rbp
	mov qword ptr [rsp+40], rax
	add r8, qword ptr [rsp+40]
	mov r10, r8
	inc rsi
	jmp .L122
.L128:
	jmp .E7
.L124:
	mov rax, qword ptr [rip+_I_g_histogram_ai]
	cmp rsi, qword ptr [rax-8]
	jae call_abort
	cmp rsi, qword ptr [rax-8]
	jae call_abort
	inc qword ptr [rax+rsi*8]
	jmp .L128
.E7:
	mov rax, rsi
	add rsp, 88
	pop r15
	pop r14
	pop r13
	pop r12
	pop rbp
	pop rbx
	ret

.globl _ImkMatrix_aaii
_ImkMatrix_aaii:
	push rbx
	push r12
	push r14
	push r15
	sub rsp, 8
	mov r15, rdi
	lea rdi, qword ptr [r15*8+8]
	call _xi_alloc
	lea r14, qword ptr [rax+8]
	mov qword ptr [r14-8], r15
	cmp r15, 0
	jle .L5
	lea rdi, qword ptr [r15*8+8]
	call _xi_alloc
	add rax, 8
	mov qword ptr [rax-8], r15
	mov rbx, qword ptr [r14-8]
	cmp rbx, 0
	jbe call_abort
	mov qword ptr [r14], rax
	mov r12, 1
.L3:
	cmp r12, r15
	jge .L5
	lea rdi, qword ptr [r15*8+8]
	call _xi_alloc
	add rax, 8
	mov qword ptr [rax-8], r15
	cmp r12, rbx
	jae call_abort
	mov qword ptr [r14+r12*8], rax
	inc r12
	jmp .L3
.L13:
	jmp .E1
.L5:
	jmp .L13
.E1:
	mov rax, r14
	add rsp, 8
	pop r15
	pop r14
	pop r12
	pop rbx
	ret

.globl _Iprint__histogram_p
_Iprint__histogram_p:
	push rbx
	xor rbx, rbx
	mov rax, qword ptr [rip+_I_g_maxiter_i]
	cmp rax, 0
	jl .L57
	mov rdx, qword ptr [rip+_I_g_histogram_ai]
	cmp qword ptr [rdx-8], 0
	jbe call_abort
	cmp qword ptr [rdx], 0
	je .L64
	xor rdi, rdi
	call _IunparseInt_aii
	mov rdi, rax
	call _Iprint_pai
	lea rdi, qword ptr [rip+.L60]
	call strdup
	mov rdi, rax
	call _Iprint_pai
	mov rax, qword ptr [rip+_I_g_histogram_ai]
	cmp qword ptr [rax-8], 0
	jbe call_abort
	mov rdi, qword ptr [rax]
	call _IunparseInt_aii
	mov rdi, rax
	call _Iprint_pai
	lea rdi, qword ptr [rip+.L61]
	call strdup
	mov rdi, rax
	call _Iprint_pai
	mov rax, qword ptr [rip+_I_g_maxiter_i]
	mov rbx, 1
.L64:
.L55:
	cmp rbx, rax
	jg .L57
	mov rcx, qword ptr [rip+_I_g_histogram_ai]
	cmp rbx, qword ptr [rcx-8]
	jae call_abort
	cmp qword ptr [rcx+rbx*8], 0
	je .L59
	mov rdi, rbx
	call _IunparseInt_aii
	mov rdi, rax
	call _Iprint_pai
	lea rdi, qword ptr [rip+.L60]
	call strdup
	mov rdi, rax
	call _Iprint_pai
	mov rax, qword ptr [rip+_I_g_histogram_ai]
	cmp rbx, qword ptr [rax-8]
	jae call_abort
	mov rdi, qword ptr [rax+rbx*8]
	call _IunparseInt_aii
	mov rdi, rax
	call _Iprint_pai
	lea rdi, qword ptr [rip+.L61]
	call strdup
	mov rdi, rax
	call _Iprint_pai
	mov rax, qword ptr [rip+_I_g_maxiter_i]
	inc rbx
.L59:
	jmp .L55
.L57:
	lea rdi, qword ptr [rip+.L50]
	call strdup
	mov rdi, rax
	call _Iprint_pai
	pop rbx
	ret

.globl _Ireset__histogram_p
_Ireset__histogram_p:
	mov rax, qword ptr [rip+_I_g_maxiter_i]
	cmp rax, 0
	jl .L53
	mov rax, qword ptr [rip+_I_g_histogram_ai]
	cmp qword ptr [rax-8], 0
	jbe call_abort
	mov qword ptr [rax], 0
	mov rax, 1
.L51:
	mov rcx, qword ptr [rip+_I_g_maxiter_i]
	cmp rax, rcx
	jg .L53
	mov rcx, qword ptr [rip+_I_g_histogram_ai]
	cmp rax, qword ptr [rcx-8]
	jae call_abort
	mov qword ptr [rcx+rax*8], 0
	inc rax
	jmp .L51
.L53:
	ret

.globl _IsetupGlobals_p
_IsetupGlobals_p:
	push rbx
	mov rax, qword ptr [rip+_I_g_SCALEROOT_i]
	mov rcx, rax
	imul rcx, rax
	mov qword ptr [rip+_I_g_scale_i], rcx
	mov rax, qword ptr [rip+_I_g_scale_i]
	imul rax, 6
	mov qword ptr [rip+_I_g_size_i], rax
	mov rcx, qword ptr [rip+_I_g_WINSIZE_i]
	mov rax, qword ptr [rip+_I_g_size_i]
	mov rdx, rax
	sar rdx, 63
	idiv rcx
	mov qword ptr [rip+_I_g_zoom_i], rax
	mov qword ptr [rip+_I_g_final__size_i], 200000
	mov qword ptr [rip+_I_g_buffer_i], 0
	mov qword ptr [rip+_I_g_done_b], 0
	mov rax, qword ptr [rip+_I_g_WINSIZE_i]
	lea rdi, qword ptr [rax+1]
	call _ImkMatrix_aaii
	mov rcx, qword ptr [rip+_I_g_plots_aaai]
	cmp qword ptr [rcx-8], 0
	jbe call_abort
	mov qword ptr [rcx], rax
	mov rbx, 1
.L14:
	cmp rbx, 2
	jge .L16
	mov rdi, qword ptr [rip+_I_g_WINSIZE_i]
	add rdi, 1
	call _ImkMatrix_aaii
	mov rcx, qword ptr [rip+_I_g_plots_aaai]
	cmp rbx, qword ptr [rcx-8]
	jae call_abort
	mov qword ptr [rcx+rbx*8], rax
	inc rbx
	jmp .L14
.L16:
	pop rbx
	ret

.globl _Iupdate__maxiter_p
_Iupdate__maxiter_p:
	sub rsp, 8
	mov rcx, qword ptr [rip+_I_g_maxiter_i]
	mov rdi, rcx
	sub rdi, 5
	xor rax, rax
	cmp rdi, rcx
	jge .L43
	mov rdx, qword ptr [rip+_I_g_histogram_ai]
	cmp rdi, qword ptr [rdx-8]
	jae call_abort
	mov rax, qword ptr [rdx+rdi*8]
	inc rdi
.L41:
	cmp rdi, rcx
	jge .L43
	cmp rdi, qword ptr [rdx-8]
	jae call_abort
	add rax, qword ptr [rdx+rdi*8]
	inc rdi
	jmp .L41
.L45:
	mov rax, qword ptr [rip+_I_g_maxiter_i]
	lea rax, qword ptr [rax+rax*2]
	sar rax, 1
	mov qword ptr [rip+_I_g_maxiter_i], rax
	mov rax, qword ptr [rip+_I_g_MAXITER_i]
	cmp qword ptr [rip+_I_g_maxiter_i], rax
	jle .L48
	mov qword ptr [rip+_I_g_maxiter_i], rax
.L48:
	lea rdi, qword ptr [rip+.L49]
	call strdup
	mov rdi, rax
	call _Iprint_pai
	mov rdi, qword ptr [rip+_I_g_maxiter_i]
	call _IunparseInt_aii
	mov rdi, rax
	call _Iprint_pai
	lea rdi, qword ptr [rip+.L50]
	call strdup
	mov rdi, rax
	call _Iprint_pai
.L46:
	jmp .E2
.L43:
	mov rcx, qword ptr [rip+_I_g_WINSIZE_i]
	imul rax, 10000
	mov rdx, rax
	sar rdx, 63
	idiv rcx
	mov rdx, rax
	sar rdx, 63
	idiv rcx
	cmp rax, qword ptr [rip+_I_g_GROW__ITER__PERCENT_i]
	jg .L45
	jmp .L46
.E2:
	add rsp, 8
	ret

.globl _Iwheel_ii
_Iwheel_ii:
	mov rax, rdi
	mov rcx, 12
	mov rdx, rax
	sar rdx, 63
	idiv rcx
	mov rax, rdx
	cmp rax, 5
	jne .L107
.L105:
	mov rax, 128
.L108:
	jmp .E22
.L107:
	cmp rax, 11
	je .L105
	cmp rax, 5
	jge .L111
	mov rax, 255
	jmp .L108
.L111:
	xor rax, rax
	jmp .L108
.E22:
	ret

strdup:
	push rbx
	push r14
	sub rsp, 8
	mov r14, rdi
	mov rbx, qword ptr [r14]
	lea rdi, qword ptr [rbx*8+8]
	call _xi_alloc
.L129:
	mov rcx, qword ptr [r14+rbx*8]
	mov qword ptr [rax+rbx*8], rcx
	dec rbx
	cmp rbx, 0
	jge .L129
	add rax, 8
	add rsp, 8
	pop r14
	pop rbx
	ret

	.bss
	.align 8
.globl _I_size_MdbCalc
_I_size_MdbCalc:
	.zero 8
	.text

	.bss
	.align 8
.globl _I_vt_MdbCalc
_I_vt_MdbCalc:
	.zero 104
	.text

.section .ctors
	.align 8
	.quad _I_init_MdbCalc
	.text

	.bss
	.align 8
.globl _I_size_MdbWidget
_I_size_MdbWidget:
	.zero 8
	.text

	.bss
	.align 8
.globl _I_vt_MdbWidget
_I_vt_MdbWidget:
	.zero 640
	.text

.section .ctors
	.align 8
	.quad _I_init_MdbWidget
	.text

	.section .rodata
	.align 8
.globl _I_size_Color
_I_size_Color:
	.quad 32
	.text

	.section .rodata
	.align 8
.globl _I_vt_Color
_I_vt_Color:
	.quad 0
	.quad _I_Color_init_o5Coloriii
	.text

	.section .rodata
	.align 8
.L50:
	.quad 1
	.quad 10
	.text

	.section .rodata
	.align 8
.L61:
	.quad 1
	.quad 32
	.text

	.section .rodata
	.align 8
.L60:
	.quad 1
	.quad 58
	.text

	.section .rodata
	.align 8
.L89:
	.quad 10
	.quad 77
	.quad 97
	.quad 110
	.quad 100
	.quad 101
	.quad 108
	.quad 98
	.quad 114
	.quad 111
	.quad 116
	.text

	.section .rodata
	.align 8
.L77:
	.quad 15
	.quad 99
	.quad 117
	.quad 114
	.quad 114
	.quad 101
	.quad 110
	.quad 116
	.quad 32
	.quad 115
	.quad 105
	.quad 122
	.quad 101
	.quad 32
	.quad 61
	.quad 32
	.text

	.section .rodata
	.align 8
.L49:
	.quad 10
	.quad 109
	.quad 97
	.quad 120
	.quad 105
	.quad 116
	.quad 101
	.quad 114
	.quad 32
	.quad 61
	.quad 32
	.text

call_abort:
	call _xi_out_of_bounds
	.section .data
	.align 8
.globl _I_g_WINSIZE_i
_I_g_WINSIZE_i:
	.quad 256
	.text

	.section .data
	.align 8
.globl _I_g_MAXITER_i
_I_g_MAXITER_i:
	.quad 2000
	.text

	.section .data
	.align 8
.globl _I_g_HISTLEN_i
_I_g_HISTLEN_i:
	.quad 2001
	.text

	.section .data
	.align 8
.globl _I_g_maxiter_i
_I_g_maxiter_i:
	.quad 100
	.text

	.section .data
	.align 8
.globl _I_g_GROW__ITER__PERCENT_i
_I_g_GROW__ITER__PERCENT_i:
	.quad 1
	.text

	.section .data
	.align 8
.globl _I_g_SCALEROOT_i
_I_g_SCALEROOT_i:
	.quad 4096
	.text

	.bss
	.align 8
.globl _I_g_scale_i
_I_g_scale_i:
	.zero 8
	.text

	.section .data
	.align 8
.globl _I_g_final__size_i
_I_g_final__size_i:
	.quad 200000
	.text

	.section .data
	.align 8
.globl _I_g_buffer_i
_I_g_buffer_i:
	.quad 0
	.text

	.section .data
	.align 8
.globl _I_g_done_b
_I_g_done_b:
	.quad 0
	.text

	.section .data
	.align 8
.globl _I_g_RAMPSIZE_i
_I_g_RAMPSIZE_i:
	.quad 8
	.text

	.section .data
	.align 8
.globl _I_g_RAMPS_i
_I_g_RAMPS_i:
	.quad 12
	.text

	.bss
	.align 8
.globl _I_g_size_i
_I_g_size_i:
	.zero 8
	.text

	.bss
	.align 8
.globl _I_g_zoom_i
_I_g_zoom_i:
	.zero 8
	.text

	.bss
	.align 8
.globl _I_g_x__offset_i
_I_g_x__offset_i:
	.zero 8
	.text

	.bss
	.align 8
.globl _I_g_y__offset_i
_I_g_y__offset_i:
	.zero 8
	.text

	.bss
	.align 8
.globl _I_g_x__final_i
_I_g_x__final_i:
	.zero 8
	.text

	.bss
	.align 8
.globl _I_g_y__final_i
_I_g_y__final_i:
	.zero 8
	.text

	.bss
	.align 8
.globl _I_g_histogram_ai
_I_g_histogram_ai:
	.zero 8
	.text

.section .ctors
	.align 8
	.quad _I_init_histogram_ai
	.text

	.bss
	.align 8
.globl _I_g_colors_ao5Color
_I_g_colors_ao5Color:
	.zero 8
	.text

.section .ctors
	.align 8
	.quad _I_init_colors_ao5Color
	.text

	.bss
	.align 8
.globl _I_g_plots_aaai
_I_g_plots_aaai:
	.zero 8
	.text

.section .ctors
	.align 8
	.quad _I_init_plots_aaai
	.text

